IntroductionQuickstartAuthenticationPaginationRate Limit

Search endpoints

Job Search POSTCompany Search POSTTechnographics POST

Account endpoints

Get Credit Balance GETGet Credits Consumption GET

Other

Delete Company List DELETEGet List GETExport Companies From List GETGet Companies From List GETList All Lists GETRename Company List PATCHAdd Companies To Multiple Lists POSTAdd Companies To List POSTDuplicate List POSTRemove Companies From List POSTCreate Company List POST
TheirStack TheirStack Logo
DocumentationAPI ReferenceWebhooksDatasetsMCPGuides
Company lists

List All Lists

Get all the lists for the current user

GET
/v0/company_lists

Authorization

Bearer
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.theirstack.com/v0/company_lists"
[
  {
    "name": "string",
    "id": 0,
    "created_at": "2019-08-24T14:15:22Z",
    "deletable": true,
    "companies_count": 0,
    "user_id": 0,
    "type": "REVEALED_COMPANIES",
    "webhook_id": 0
  }
]
{
  "request_id": null,
  "error": {
    "code": "E-001",
    "title": "Not allowed exception",
    "description": "string"
  }
}
{
  "request_id": null,
  "error": {
    "code": "E-001",
    "title": "Not allowed exception",
    "description": "string"
  }
}
{
  "request_id": null,
  "error": {
    "code": "E-001",
    "title": "Not allowed exception",
    "description": "string"
  }
}
{
  "request_id": null,
  "error": {
    "code": "E-001",
    "title": "Not allowed exception",
    "description": "string"
  }
}

How is this guide?

Last updated on

Get Companies From List GET

Previous Page

Rename Company List PATCH

Next Page